org.eclipse.viatra.query.runtime.rete.eval

## Class OutputCachingEvaluatorNode

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.BaseNode
  - - org.eclipse.viatra.query.runtime.rete.network.StandardNode
    - - org.eclipse.viatra.query.runtime.rete.single.SingleInputNode
      - - org.eclipse.viatra.query.runtime.rete.eval.AbstractEvaluatorNode
        - - org.eclipse.viatra.query.runtime.rete.eval.OutputCachingEvaluatorNode

- All Implemented Interfaces:
    IEvaluatorNode, Node, Receiver, Supplier, Tunnel, Clearable
  Direct Known Subclasses:
    CachedFunctionEvaluatorNode, CachedPredicateEvaluatorNode

      public class OutputCachingEvaluatorNode
      extends AbstractEvaluatorNode
      implements Clearable

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.eval.AbstractEvaluatorNode

      `core, evaluator, logger, runtimeContext`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.single.SingleInputNode

      `mailbox, parent`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `children`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `nodeId, reteContainer, tag, traceInfos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputCachingEvaluatorNode(ReteContainer reteContainer, EvaluatorCore core)`
    `OutputCachingEvaluatorNode(ReteContainer reteContainer, org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)` Deprecated. use `EvaluationCore`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all partial matchings stored in memory
    `protected java.lang.String` | `logNodeName()` Deprecated. use `EvaluationCore`
    `void` | `pullInto(java.util.Collection<Tuple> collector)` pulls the contents of this object in this particular moment into a target collection
    `protected Tuple` | `tupleFromResult(Tuple incoming, java.lang.Object evaluationresult)` Deprecated. use `EvaluationCore`
    `void` | `update(Direction direction, Tuple updateElement)` updates the receiver with a newly found or lost partial matching

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.eval.AbstractEvaluatorNode

      `errorResult, evaluateTerm, getReteContainer, prettyPrintTraceInfoPatternList, prettyPrintTuple`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.single.SingleInputNode

      `appendParent, assignTraceInfo, getMailbox, getParents, instantiateMailbox, propagatePullInto, removeParent`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, issueError, propagateUpdate, removeChild`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfoPatternsEnumerated, getTraceInfos, setTag, toString, toStringCore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### OutputCachingEvaluatorNode

          @Deprecated
          public OutputCachingEvaluatorNode(ReteContainer reteContainer,
                                                        org.apache.log4j.Logger logger,
                                                        IExpressionEvaluator evaluator,
                                                        java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                                        int sourceTupleWidth)

      Deprecated. use `EvaluationCore`

    - #### OutputCachingEvaluatorNode

          public OutputCachingEvaluatorNode(ReteContainer reteContainer,
                                            EvaluatorCore core)

      Since:
        1.5

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clear all partial matchings stored in memory
      Specified by:
        `clear` in interface `Clearable`

    - #### pullInto

          public void pullInto(java.util.Collection<Tuple> collector)

      Description copied from interface: `Supplier`
      pulls the contents of this object in this particular moment into a target collection
      Specified by:
        `pullInto` in interface `Supplier`

    - #### update

          public void update(Direction direction,
                             Tuple updateElement)

      Description copied from interface: `Receiver`
      updates the receiver with a newly found or lost partial matching
      Specified by:
        `update` in interface `Receiver`

    - #### tupleFromResult

          @Deprecated
          protected Tuple tupleFromResult(Tuple incoming,
                                                      java.lang.Object evaluationresult)

      Deprecated. use `EvaluationCore`
      Specified by:
        `tupleFromResult` in class `AbstractEvaluatorNode`

    - #### logNodeName

          @Deprecated
          protected java.lang.String logNodeName()

      Deprecated. use `EvaluationCore`
      Specified by:
        `logNodeName` in class `AbstractEvaluatorNode`